import { getHostClassNames } from './class-names';
import { validateUiBaseComponentProps } from '../ui-component-props/ui-component-props';
export const dividerLayoutClassNamesConfig = {
    prefix: 'cck-divider',
    elements: {
        host: {
            name: 'Host Element',
            selectors: [
                'cck-divider'
            ],
            description: 'It will add to the host element of Divider component.'
        }
    }
};
export function getDividerClassNames(componentProps, themeConfig) {
    const options = {
        componentName: 'divider',
        componentProps,
        themeConfig
    };
    validateUiBaseComponentProps(options);
    return {
        host: [
            ...dividerLayoutClassNamesConfig.elements.host.selectors,
            ...getHostClassNames(dividerLayoutClassNamesConfig.prefix, options)
        ].join(' ')
    };
}
