import { getHostClassNames } from './class-names';
import { validateUiBaseComponentProps } from '../ui-component-props/ui-component-props';
export const menuLayoutClassNamesConfig = {
    prefix: 'cck-menu',
    elements: {
        host: {
            name: 'Host Element',
            selectors: [
                'cck-menu'
            ],
            description: 'It will add to the host element of Menu component.'
        },
        overlay: {
            name: 'Menu Overlay Element',
            selectors: [
                'cck-menu__overlay'
            ],
            description: 'It will add to the overlay element, when the the menu is opened'
        }
    }
};
export function getMenuClassNames(componentProps, themeConfig) {
    const options = {
        componentName: 'menu',
        componentProps,
        themeConfig
    };
    validateUiBaseComponentProps(options);
    return {
        host: [
            ...menuLayoutClassNamesConfig.elements.host.selectors,
            ...getHostClassNames(menuLayoutClassNamesConfig.prefix, options)
        ].join(' '),
        overlay: [
            ...menuLayoutClassNamesConfig.elements.overlay.selectors
        ].join(' ')
    };
}
