import { getHostClassNames } from './class-names';
import { validateUiBaseComponentProps } from '../ui-component-props/ui-component-props';
export const selectPreviewLayoutClassNamesConfig = {
    prefix: 'cck-select-preview',
    elements: {
        host: {
            name: 'Host Element',
            selectors: [
                'cck-select-preview'
            ],
            description: 'It will add to the host element of SelectPreview component.'
        }
    }
};
export function getSelectPreviewClassNames(componentProps, themeConfig) {
    const options = {
        componentName: 'selectPreview',
        componentProps,
        themeConfig
    };
    validateUiBaseComponentProps(options);
    return {
        host: [
            ...selectPreviewLayoutClassNamesConfig.elements.host.selectors,
            ...getHostClassNames(selectPreviewLayoutClassNamesConfig.prefix, options)
        ].join(' ')
    };
}
