import { getButtonClassNames } from './button-class-names';
import { getCheckboxClassNames } from './checkbox-class-names';
import { getChipClassNames } from './chip-class-names';
import { getChipListClassNames } from './chip-list-class-names';
import { getDividerClassNames } from './divider-class-names';
import { getErrorClassNames } from './error-class-names';
import { getFormFieldClassNames } from './form-field-class-names';
import { getHintClassNames } from './hint-class-names';
import { getIconButtonClassNames } from './icon-button-class-names';
import { getSvgIconClassNames } from './icon-class-names';
import { getInputClassNames } from './input-class-names';
import { getLabelClassNames } from './label-class-names';
import { getLeadingClassNames } from './leading-class-names';
import { getMenuClassNames } from './menu-class-names';
import { getMenuItemClassNames } from './menu-item-class-names';
import { getOptionClassNames } from './option-class-names';
import { getOptionGroupClassNames } from './option-group-class-names';
import { getPrefixClassNames } from './prefix-class-names';
import { getRadioButtonClassNames } from './radio-button-class-names';
import { getRadioGroupClassNames } from './radio-group-class-names';
import { getSelectClassNames } from './select-class-names';
import { getSelectPreviewClassNames } from './select-preview-class-names';
import { getSuffixClassNames } from './suffix-class-names';
import { getTextareaClassNames } from './textarea-class-names';
import { getToggleClassNames } from './toggle-class-names';
import { getTrailingClassNames } from './trailing-class-names';
import { UIBaseComponentProps, CssSelectorGeneratorOptions, UIBaseComponentsName, ThemeConfig } from '../model/ui-component.model';
export declare const CLASS_NAMES_FN_MAP: {
    formField: typeof getFormFieldClassNames;
    label: typeof getLabelClassNames;
    error: typeof getErrorClassNames;
    hint: typeof getHintClassNames;
    prefix: typeof getPrefixClassNames;
    suffix: typeof getSuffixClassNames;
    trailing: typeof getTrailingClassNames;
    leading: typeof getLeadingClassNames;
    input: typeof getInputClassNames;
    textarea: typeof getTextareaClassNames;
    select: typeof getSelectClassNames;
    option: typeof getOptionClassNames;
    optionGroup: typeof getOptionGroupClassNames;
    selectPreview: typeof getSelectPreviewClassNames;
    chip: typeof getChipClassNames;
    chipList: typeof getChipListClassNames;
    menu: typeof getMenuClassNames;
    menuItem: typeof getMenuItemClassNames;
    divider: typeof getDividerClassNames;
    toggle: typeof getToggleClassNames;
    radioButton: typeof getRadioButtonClassNames;
    radioGroup: typeof getRadioGroupClassNames;
    checkbox: typeof getCheckboxClassNames;
    button: typeof getButtonClassNames;
    iconButton: typeof getIconButtonClassNames;
    svgIcon: typeof getSvgIconClassNames;
};
export declare function getClassNames<T extends UIBaseComponentsName>(componentName: T, componentProps: UIBaseComponentProps, themeConfig: ThemeConfig): ReturnType<(typeof CLASS_NAMES_FN_MAP)[T]>;
export declare function getHostClassNames(prefix: string, options: CssSelectorGeneratorOptions): string[];
