/**
 * TODO: Add type definitions:
 *
 * If we use the normal way to add type then the autocomplete don't show the elements name any more
 * Because we define it as string. But without types the typescript will understand the key of `elements` map
 */
export declare const layoutClassNamesConfig: {
    svgIcon: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            svg: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    button: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            backdrop: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    iconButton: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            backdrop: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    checkbox: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            wrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            inputWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            input: {
                name: string;
                selectors: string[];
                description: string;
            };
            backdrop: {
                name: string;
                selectors: string[];
                description: string;
            };
            background: {
                name: string;
                selectors: string[];
                description: string;
            };
            label: {
                name: string;
                selectors: string[];
                description: string;
            };
            checked: {
                name: string;
                selectors: string[];
                description: string;
            };
            unchecked: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            indeterminate: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    radioGroup: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    radioButton: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            wrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            inputWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            input: {
                name: string;
                selectors: string[];
                description: string;
            };
            backdrop: {
                name: string;
                selectors: string[];
                description: string;
            };
            background: {
                name: string;
                selectors: string[];
                description: string;
            };
            label: {
                name: string;
                selectors: string[];
                description: string;
            };
            checked: {
                name: string;
                selectors: string[];
                description: string;
            };
            unchecked: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    formField: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            wrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            inputWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            required: {
                name: string;
                selectors: string[];
                description: string;
            };
            focused: {
                name: string;
                selectors: string[];
                description: string;
            };
            untouched: {
                name: string;
                selectors: string[];
                description: string;
            };
            touched: {
                name: string;
                selectors: string[];
                description: string;
            };
            pristine: {
                name: string;
                selectors: string[];
                description: string;
            };
            dirty: {
                name: string;
                selectors: string[];
                description: string;
            };
            valid: {
                name: string;
                selectors: string[];
                description: string;
            };
            invalid: {
                name: string;
                selectors: string[];
                description: string;
            };
            pending: {
                name: string;
                selectors: string[];
                description: string;
            };
            error: {
                name: string;
                selectors: string[];
                description: string;
            };
            withInput: {
                name: string;
                selectors: string[];
                description: string;
            };
            withTextarea: {
                name: string;
                selectors: string[];
                description: string;
            };
            withSelect: {
                name: string;
                selectors: string[];
                description: string;
            };
            withChipList: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    label: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            labelTag: {
                name: string;
                selectors: string[];
                description: string;
            };
            requiredMarker: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    error: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    hint: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    prefix: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    suffix: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    trailing: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            clickable: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    leading: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            clickable: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    input: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    textarea: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            autoResize: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    select: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            multiple: {
                name: string;
                selectors: string[];
                description: string;
            };
            opened: {
                name: string;
                selectors: string[];
                description: string;
            };
            closed: {
                name: string;
                selectors: string[];
                description: string;
            };
            single: {
                name: string;
                selectors: string[];
                description: string;
            };
            placeholder: {
                name: string;
                selectors: string[];
                description: string;
            };
            triggerWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            triggerValue: {
                name: string;
                selectors: string[];
                description: string;
            };
            dropdownIconWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            optionsWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            overlay: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    option: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            selected: {
                name: string;
                selectors: string[];
                description: string;
            };
            multiple: {
                name: string;
                selectors: string[];
                description: string;
            };
            single: {
                name: string;
                selectors: string[];
                description: string;
            };
            multipleWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            contentWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            selectedCheckmark: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    optionGroup: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            label: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    selectPreview: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    chip: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            removable: {
                name: string;
                selectors: string[];
                description: string;
            };
            contentWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            removeIconWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    chipList: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            input: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    menu: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            overlay: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    menuItem: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    divider: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
    toggle: {
        prefix: string;
        elements: {
            host: {
                name: string;
                selectors: string[];
                description: string;
            };
            disabled: {
                name: string;
                selectors: string[];
                description: string;
            };
            label: {
                name: string;
                selectors: string[];
                description: string;
            };
            checked: {
                name: string;
                selectors: string[];
                description: string;
            };
            unchecked: {
                name: string;
                selectors: string[];
                description: string;
            };
            labelBefore: {
                name: string;
                selectors: string[];
                description: string;
            };
            sliderWrapper: {
                name: string;
                selectors: string[];
                description: string;
            };
            input: {
                name: string;
                selectors: string[];
                description: string;
            };
            thumb: {
                name: string;
                selectors: string[];
                description: string;
            };
            backdrop: {
                name: string;
                selectors: string[];
                description: string;
            };
        };
    };
};
